Subject: Re: Correct way to format spufs file output.

From: Arnd Bergmann <[email-masked]>
Date: Fri, 20 Oct 2006 16:38:50 +0200

On Friday 20 October 2006 15:54, Dwayne Grant McConnell wrote:
> I think %0xllx is the way to go. I would even advocate changing 
> signal1_type and signal2_type unless it is actually too dangerous.

There is absolutely no reason why these should be hexadecimal, they
are basically implementing a bool.

> Is there even a case where changing from %llu to %0xllx would break things? 
> Perhaps with the combination of a old library with a new kernel?

Right, a library or some script that has been written assuming there
is no leading 0x.

	Arnd <><